#!/usr/bin/env python
	
# Authors: Xiaohong Zhuang, Dr.Jeffery B. Klauda
# Date: 9/12/2015

# This script generate *-atmlbl.txt from *.rtf 

# Read lipid name
fob = open('lip_lower.txt','r')
lip = fob.readline()
lip = lip.strip()

# Print Head lines
print "label segid resid iupac ; unique labels for SIMtoEXP, lipid, (b)ioflavonoid, (w)ater"

# Read the group names based on cmp
filetoread = "%s.rtf" % lip
fob=open(filetoread,'r')
rtf=fob.readlines()

if lip == 'tip3':
	print "ow\tTIP3\toh2"
	print "d1w\tTIP3\th1"
	print "d2w\tTIP3\th2" 
elif lip == 'pot':
	print "k\tPOT\tpot"
else:
	for line in rtf:
		if 'ATOM' in line or 'ATOm' in line: 
			atmn = line.strip().split()
			if atmn[2] == 'CH1E':
			 	print "%s\t%s\t%s" % ("b"+atmn[1].lower(),lip.upper(),atmn[1].lower())
			elif atmn[2] == 'CH2E':
			 	print "%s\t%s\t%s" % ("m"+atmn[1].lower(),lip.upper(),atmn[1].lower())
			elif atmn[2] == 'CH3E':
			 	print "%s\t%s\t%s" % ("t"+atmn[1].lower(),lip.upper(),atmn[1].lower())
			else:
				print "%s\t%s\t%s" % (atmn[1].lower(),lip.upper(),atmn[1].lower())

