# Gnuplot script for plotting the equlibration data
# Created by Xiaohong Zhuang on 10/29/2014

set terminal png enhanced font "Arial,30" size 1580,1024
inptitle=system("cat inptitle.txt")
outptitle=system("cat outptitle.txt")
set output outptitle

#set output '3_tot_edp.tif'
#set title ' {/Arial-Bold=45 Total EDP}'
set xlabel ' {/Arial-Bold=50 Z []}'
set y2label '{/Arial-Bold=50 Electron Density [^{-3}]}' 
set y2label rotate by 270
set xtics font  "Arial-Bold,40" 
set y2tics font  "Arial-Bold,40"
unset ytics
#set xtics 10,5,70
set xtics auto
set y2tics 0,0.1,0.5
set mytics 2
#set grid
set key center top
# set key samplen (line width) and then key box setting: spacing....
set key samplen 3 spacing 1.5 width 2 height 2
# set key font ",40"
 set tmargin 3
 set bmargin -3
 set lmargin 2
 set rmargin 11
set pointsize 1
# set xzeroaxis 
set border lw 3
set bar 0
# show margin  
plot [-30:30] [0.2:0.4] \
inptitle using 1:14 with line lw 8 lc rgb 'red' notitle